### Function

# Cogl graphene_matrix_project_point

#### Declaration [src]

    void
    cogl_graphene_matrix_project_point (
      const graphene_matrix_t* matrix,
      float* x,
      float* y,
      float* z,
      float* w
    )

#### Description [src]

Transforms a point whose position is given and returned as four float components.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  A 4x4 transformation matrix.

  The data is owned by the caller of the function.

`x`

  Type: `float*`

  The X component of your points position.

  The argument will be modified by the function.

`y`

  Type: `float*`

  The Y component of your points position.

  The argument will be modified by the function.

`z`

  Type: `float*`

  The Z component of your points position.

  The argument will be modified by the function.

`w`

  Type: `float*`

  The W component of your points position.

  The argument will be modified by the function.